Subject: Re: numerous bugs i've found in cygwin while developing XEmacs
From: Michael Potter <[email-masked]>
To: [email-masked]
Date: Tue, 4 Jun 2002 10:39:56 -0500

Reply-to: cygwin at cygwin dot com
On Mon, Jun 03, 2002 at 04:19:00PM -0500, Michael Potter wrote:
>>> On Mon, Jun 03, 2002 at 03:59:45PM -0500, Michael Potter wrote:
>>> >>You should resubmit as an mmap only bug.  Cygipc's shmat support uses
>>> >>mmap, and cygwins 'native' shmat support is in development.  Chances
>>> >>are, any shmat bug reports will (unfortunately) end up in /dev/null.
>>> >
>>> >Just did.
>>>
>>> And, I believe that this was a problem which was reported back in April.
>>> If so, it's been fixed in snapshots for a while. cgf
>
>I did my home work :).
>
>So, you're saying that you you actually tried a cygwin snapshot?

No.  It is not very easy for me to try snapshots.  We are a UNIX shop
and we only have one win2k box, and it is not controlled by me.  
It is actually shared by many people using terminal services and
some slick little linux boxes from a company called neoware.

I have asked the sysadmin to install the lastest snap shot.

> If so, that would have been useful information to have.  I haven't been
> paying attention to your cygipc bug reports so if you mentioned this
> there, then I missed it.

I put the version of cygwin (1.3.10) in the subject line.  It was
my impression that it was the latest "stable" release.  How often
do you recommend that I ask my system administrator to download
and install the lastest release?

when someone puts "1.3.11(CVS) in the subject line, are they
refering to cygwin 1.3.11?
or cvs 1.3.11 compiled under cygwin?
or the latest snapshot of cygwin, that when stablized will be cygwin 1.3.11?

I actually have about 150,000 lines of C compiled under cygwin.
About every problem that I had compiling the C code could be
tracked back to my code not being posix compliant.  I was very
happy to correct my code where it was not posix compliant.
If it ever comes up to make cygwin less picky about being posix
compliant, my vote is "keep it posix compliant with as few
extensions as possible".  I like cygipc, but had it not
existed I would not have complained a bit; i had already
started to convert to posix ipc anyway.

Keep up the good work.

> 
> >The examples from April work on my machine, the example I submitted is
> >different from the april examples in that it has two forks.  Without
> >the first fork(), my example works fine.
> 
> The examples from April worked on 1.3.10 for many people, too.
> 
> cgf

-- 
potter

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/